﻿using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.leftToRightButton.Click += leftToRightButton_Click;
            this.rightToLeftButton.Click += rightToLeftButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region LeftToRight 버튼 클릭시 처리하기 - leftToRightButton_Click(sender, e)

        /// <summary>
        /// LeftToRight 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void leftToRightButton_Click(object sender, RoutedEventArgs e)
        {
            this.flowDocument.FlowDirection = FlowDirection.LeftToRight;

            this.messageTextBlock.Text = "FlowDirection is now " + this.flowDocument.FlowDirection;
        }

        #endregion
        #region RightToLeft 버튼 클릭시 처리하기 - rightToLeftButton_Click(sender, e)

        /// <summary>
        /// RightToLeft 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void rightToLeftButton_Click(object sender, RoutedEventArgs e)
        {
            this.flowDocument.FlowDirection = FlowDirection.RightToLeft;

            this.messageTextBlock.Text = "FlowDirection is now " + this.flowDocument.FlowDirection;
        }

        #endregion
    }
}